## azure-cosmos-table-python 1.0.5+git20191025

=== requirements.txt ===
futures;python_version<="2.7"
python-dateutil
requests>=2.9.2
vcrpy
azure-common
cryptography>=1.3.0
