=== azure-cosmosdb-table/doc/requirements.txt ===
sphinx
azure-common
