=== debian/changelog ===
azure-cosmos-table-python (1.0.5+git20191025-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Thu, 21 Apr 2022 19:31:08 -0400

azure-cosmos-table-python (1.0.5+git20191025-5) unstable; urgency=medium

  * Move package under Python Modules Team maintenance

 -- Luca Boccassi <bluca@debian.org>  Sat, 07 Mar 2020 10:50:04 +0000

azure-cosmos-table-python (1.0.5+git20191025-4) unstable; urgency=medium

  * Add Build-Deps on azure, cryptography and vcr for tests.
  * Enable dh_auto_test and skip tests that need the network.
  * Add patches to fix syntax warnings.
  * Add autopkgtest support.

 -- Luca Boccassi <bluca@debian.org>  Sat, 29 Feb 2020 11:43:55 +0000

azure-cosmos-table-python (1.0.5+git20191025-3) unstable; urgency=medium

  * Add import-name to fix autopkgtest

 -- Luca Boccassi <bluca@debian.org>  Thu, 27 Feb 2020 09:41:45 +0000

azure-cosmos-table-python (1.0.5+git20191025-2) unstable; urgency=medium

  * Source-only no changes upload.

 -- Luca Boccassi <bluca@debian.org>  Thu, 27 Feb 2020 09:19:40 +0000

azure-cosmos-table-python (1.0.5+git20191025-1) unstable; urgency=medium

  * Initial release. (Closes: #950800)

 -- Luca Boccassi <bluca@debian.org>  Thu, 06 Feb 2020 18:24:26 +0000
