=== debian/control ===
Source: azure-cosmos-table-python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-azure <!nocheck>,
               python3-cryptography <!nocheck>,
               python3-pip <!nodoc>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-sphinx,
               python3-vcr <!nocheck>,
Standards-Version: 4.6.0
Section: python
Priority: optional
Rules-Requires-Root: no
Homepage: https://github.com/Azure/azure-cosmos-table-python
Vcs-Browser: https://salsa.debian.org/python-team/packages/azure-cosmos-table-python
Vcs-Git: https://salsa.debian.org/python-team/packages/azure-cosmos-table-python.git
Testsuite: autopkgtest-pkg-python, autopkgtest

Package: python3-azure-cosmosdb-table
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Azure CosmosDB services Python SDK
 This package provides a client library in Python that makes it easy to
 consume Microsoft Azure CosmosDB services.
